# Uses of Class
com.sparshui.GestureType

Packages that use GestureType
Package
Description
com.sparshui.client
com.sparshui.server
org.jmol.multitouch
org.jmol.multitouch.sparshui

## Uses of GestureType in com.sparshui.client

Methods in com.sparshui.client that return types with arguments of type GestureType
Modifier and Type
Method
Description
`List<GestureType>`
SparshClient.`getAllowedGestures(int groupID)`
This method must return the allowed Gestures for the specified group.

## Uses of GestureType in com.sparshui.server

Methods in com.sparshui.server that return types with arguments of type GestureType
Modifier and Type
Method
Description
`Lst<GestureType>`
ServerToClientProtocol.`getGestures(int groupID)`
Retrieve a list of allowed gestures for the provided group id.
Constructor parameters in com.sparshui.server with type arguments of type GestureType
Modifier
Constructor
Description
``
`Group(int id, Lst<GestureType> gestureTypes, ServerToClientProtocol clientProtocol)`
Construct a new group with the given gesture IDs and the given connection to the client.

## Uses of GestureType in org.jmol.multitouch

Methods in org.jmol.multitouch that return types with arguments of type GestureType
Modifier and Type
Method
Description
`Lst<GestureType>`
ActionManagerMT.`getAllowedGestures(int groupID)`
`List<GestureType>`
JmolMultiTouchClient.`getAllowedGestures(int groupID)`

## Uses of GestureType in org.jmol.multitouch.sparshui

Methods in org.jmol.multitouch.sparshui that return types with arguments of type GestureType
Modifier and Type
Method
Description
`List<GestureType>`
JmolSparshClientAdapter.`getAllowedGestures(int groupID)`